Subject: Re: Please, help me - Unix network programming
From: [email-masked] (Corinna Vinschen)

25 Dec 1998 07:27:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Jan Tomasek wrote:
> 
> Hi,
> I start reading of book "Unix network programming" written by
> W. Richard Stevens. I try to complile examples from this book
> but I get error - un.h is missing. And realy it is missing on
> my Cygwin system? So I transport it from my Linux system,
> than compiler require next files ... completly I transport this
> files:
>         ./linux/un.h -> ./sys/un.h
>         ./arpa/nameser.h
>         ./sys/bitypes.h
>         ./resolv.h
> With it this I was able to compile basic libs and then compile
> first example - DateTimeClinet, but not server - recv/sendmsg
> is missing. I look at Debian/Linux man pages and I thing that I
> can emulate recvmsg by recv.
> 
> Thing which I want to ask is if this is "normal" or if I do
> something wrong.
> 
> Please, can someone help me to fix this problem(s)?

The file un.h is for connections of family AF_UNIX.
This isn't supported under cygwin yet. You only are
able to use AF_INET family.

Bye,
Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".